%define _enable_debug_packages %{nil}
%define debug_package          %{nil}

%define ff_epoch 0
%define ff_ver 3.5.2

%define _mozillapath %{_libdir}/firefox-%{ff_ver}
%define _mozillaextpath %{_mozillapath}/extensions

Summary: Oxygen Icons for Mozilla Firefox
Name: firefox-theme-oxygen
Version: 0.1
Release: %mkrel 22
License: MPLv1.1 and LGPLv2+
Group: Networking/WWW
URL: http://websvn.kde.org/trunk/playground/artwork/Oxygen/firefox/Oxygen
Source: mozilla-firefox-theme-oxygen-%version.tar.bz2
Patch:	fix-mozilla-version.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: mozilla-firefox = %{ff_epoch}:%{ff_ver}
Obsoletes: mozilla-firefox-theme-oxygen < %{version}-%{release}
Provides: mozilla-firefox-theme-oxygen = %{version}-%{release}

%description
Oxygen theme is a KDE4-like theme using Oxygen icons for Mozilla Firefox.

%prep
%setup -q -n Oxygen
%patch -p1 -b .fix-mozilla-version

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_mozillaextpath}

hash="$(sed -n '/.*em:id="\(.*\)"/{s//\1/p;q}' install.rdf)"
if [ -z "$hash" ]; then
    hash="$(sed -n '/.*em:id>\(.*\)<\/em:id>.*/{s//\1/p;q}' install.rdf)"
fi
if [ -z "$hash" ]; then
    echo "Failed to find plugin hash."
    exit 1
fi
extdir="%{_mozillaextpath}/$hash"
mkdir -p "%{buildroot}$extdir"
cp -af * "%{buildroot}$extdir/"

%clean
rm -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc COPYING
%dir %_mozillapath
%{_mozillaextpath}


%changelog
* Sun Aug 09 2009 Raphaël Gertz <rapsys@mandriva.org> 0.1-22mdv2010.0
+ Revision: 412929
- Update to 3.5.2 version
- Fix version
- Rebuild
- Fix for firefox 3.5.1
- Rebuild
- New version for 3.5.1 version
- Create branch for firefox 3.5
- Revert to equal 3.0.11
- Allow firefox >= 3.0.11 instead of just 3.0.11
- Rebuild

  + Funda Wang <fundawang@mandriva.org>
    - rebuild for new ff
    - rebuild for new ff
    - rebuild for new ff
    - rename tarball
    - rename to firefox
    - rename to ff
    - rebuild for new ff
    - rebuild for new ff
    - rebuild for new FF
    - rebuild for ff 3.0.1
    - New snapshot of theme
    - fix URL and license
    - import mozilla-firefox-theme-oxygen

  + Gustavo De Nardin <gustavodn@mandriva.com>
    - rebuild for firefox 3.0.8

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuilt for mozilla-firefox-2.0.0.16

  + Tiago Salem <salem@mandriva.com.br>
    - Rebuild for firefox 2.0.0.15

